Loading...
Searching...
No Matches
pcl::poisson::FunctionData< Degree, Real > Class Template Reference

`#include <pcl/surface/3rdparty/poisson4/function_data.h>`

## Public Member Functions

| FunctionData (void)
| ~FunctionData (void)
virtual void | setDotTables (const int &flags)
virtual void | clearDotTables (const int &flags)
virtual void | setValueTables (const int &flags, const double &smooth=0)
virtual void | setValueTables (const int &flags, const double &valueSmooth, const double &normalSmooth)
virtual void | clearValueTables (void)
void | set (const int &maxDepth, const PPolynomial< Degree > &F, const int &normalize, bool useDotRatios=true)
Real | dotProduct (const double &center1, const double &width1, const double &center2, const double &width2) const
Real | dDotProduct (const double &center1, const double &width1, const double &center2, const double &width2) const
Real | d2DotProduct (const double &center1, const double &width1, const double &center2, const double &width2) const

## Static Public Member Functions

static int | SymmetricIndex (const int &i1, const int &i2)
static int | SymmetricIndex (const int &i1, const int &i2, int &index)

## Public Attributes

int | depth
int | res
int | res2
Real * | dotTable
Real * | dDotTable
Real * | d2DotTable
Real * | valueTables
Real * | dValueTables
PPolynomial< Degree > | baseFunction
PPolynomial< Degree-1 > | dBaseFunction
PPolynomial< Degree+1 > * | baseFunctions

## Static Public Attributes

static const int | DOT_FLAG = 1
static const int | D_DOT_FLAG = 2
static const int | D2_DOT_FLAG = 4
static const int | VALUE_FLAG = 1
static const int | D_VALUE_FLAG = 2

## Detailed Description

template<int Degree, class Real>
class pcl::poisson::FunctionData< Degree, Real >

Definition at line 47 of file function_data.h.

## Constructor & Destructor Documentation

## FunctionData()

template<int Degree, class Real>

pcl::poisson::FunctionData< Degree, Real >::FunctionData | ( | void |  | ) |

Definition at line 39 of file function_data.hpp.

References d2DotTable, dDotTable, dotTable, dValueTables, res, and valueTables.

## ~FunctionData()

template<int Degree, class Real>

pcl::poisson::FunctionData< Degree, Real >::~FunctionData | ( | void |  | ) |

Definition at line 47 of file function_data.hpp.

References d2DotTable, dDotTable, dotTable, dValueTables, res, and valueTables.

## Member Function Documentation

## clearDotTables()

template<int Degree, class Real>

void pcl::poisson::FunctionData< Degree, Real >::clearDotTables | ( | const int & | flags | ) |

virtual

Definition at line 225 of file function_data.hpp.

References d2DotTable, dDotTable, DOT_FLAG, and dotTable.

Referenced by setDotTables().

## clearValueTables()

template<int Degree, class Real>

void pcl::poisson::FunctionData< Degree, Real >::clearValueTables | ( | void |  | ) |

virtual

Definition at line 288 of file function_data.hpp.

References dValueTables, and valueTables.

Referenced by setValueTables(), and setValueTables().

## d2DotProduct()

template<int Degree, class Real>

Real pcl::poisson::FunctionData< Degree, Real >::d2DotProduct | ( | const double & | center1,
|  | const double & | width1,
|  | const double & | center2,
|  | const double & | width2 ) const

Definition at line 385 of file function_data.hpp.

References baseFunction, and dBaseFunction.

Referenced by setDotTables().

## dDotProduct()

template<int Degree, class Real>

Real pcl::poisson::FunctionData< Degree, Real >::dDotProduct | ( | const double & | center1,
|  | const double & | width1,
|  | const double & | center2,
|  | const double & | width2 ) const

Definition at line 373 of file function_data.hpp.

References baseFunction, and dBaseFunction.

Referenced by setDotTables().

## dotProduct()

template<int Degree, class Real>

Real pcl::poisson::FunctionData< Degree, Real >::dotProduct | ( | const double & | center1,
|  | const double & | width1,
|  | const double & | center2,
|  | const double & | width2 ) const

Definition at line 360 of file function_data.hpp.

References baseFunction.

Referenced by setDotTables().

## set()

template<int Degree, class Real>

void pcl::poisson::FunctionData< Degree, Real >::set | ( | const int & | maxDepth,
|  | const PPolynomial< Degree > & | F,
|  | const int & | normalize,
|  | bool | useDotRatios = true )

Definition at line 66 of file function_data.hpp.

References baseFunction, baseFunctions, pcl::poisson::BinaryNode< Real >::CenterAndWidth(), pcl::poisson::BinaryNode< Real >::CumulativeCenterCount(), dBaseFunction, depth, pcl::poisson::BinaryNode< Real >::DepthAndOffset(), res, and res2.

## setDotTables()

template<int Degree, class Real>

void pcl::poisson::FunctionData< Degree, Real >::setDotTables | ( | const int & | flags | ) |

virtual

Definition at line 131 of file function_data.hpp.

References baseFunction, pcl::poisson::BinaryNode< Real >::CenterAndWidth(), clearDotTables(), D2_DOT_FLAG, d2DotProduct(), d2DotTable, D_DOT_FLAG, dDotProduct(), dDotTable, pcl::poisson::BinaryNode< Real >::DepthAndOffset(), DOT_FLAG, dotProduct(), dotTable, res, and SymmetricIndex().

## setValueTables() [1/2]

template<int Degree, class Real>

void pcl::poisson::FunctionData< Degree, Real >::setValueTables | ( | const int & | flags,
|  | const double & | smooth = 0 )

virtual

Definition at line 238 of file function_data.hpp.

References baseFunctions, clearValueTables(), D_VALUE_FLAG, dValueTables, res, res2, VALUE_FLAG, and valueTables.

## setValueTables() [2/2]

template<int Degree, class Real>

void pcl::poisson::FunctionData< Degree, Real >::setValueTables | ( | const int & | flags,
|  | const double & | valueSmooth,
|  | const double & | normalSmooth )

virtual

Definition at line 266 of file function_data.hpp.

References baseFunctions, clearValueTables(), D_VALUE_FLAG, dValueTables, res, res2, VALUE_FLAG, and valueTables.

## SymmetricIndex() [1/2]

template<int Degree, class Real>

int pcl::poisson::FunctionData< Degree, Real >::SymmetricIndex | ( | const int & | i1,
|  | const int & | i2 )

inline static

Definition at line 398 of file function_data.hpp.

Referenced by setDotTables().

## SymmetricIndex() [2/2]

template<int Degree, class Real>

int pcl::poisson::FunctionData< Degree, Real >::SymmetricIndex | ( | const int & | i1,
|  | const int & | i2,
|  | int & | index )

inline static

Definition at line 404 of file function_data.hpp.

## Member Data Documentation

## baseFunction

template<int Degree, class Real>

PPolynomial<Degree> pcl::poisson::FunctionData< Degree, Real >::baseFunction

Definition at line 67 of file function_data.h.

Referenced by d2DotProduct(), dDotProduct(), dotProduct(), set(), and setDotTables().

## baseFunctions

template<int Degree, class Real>

PPolynomial<Degree+1>* pcl::poisson::FunctionData< Degree, Real >::baseFunctions

Definition at line 70 of file function_data.h.

Referenced by set(), setValueTables(), and setValueTables().

## D2_DOT_FLAG

template<int Degree, class Real>

const int pcl::poisson::FunctionData< Degree, Real >::D2_DOT_FLAG = 4

static

Definition at line 56 of file function_data.h.

Referenced by setDotTables().

## d2DotTable

template<int Degree, class Real>

Real * pcl::poisson::FunctionData< Degree, Real >::d2DotTable

Definition at line 61 of file function_data.h.

Referenced by clearDotTables(), FunctionData(), setDotTables(), and ~FunctionData().

## D_DOT_FLAG

template<int Degree, class Real>

const int pcl::poisson::FunctionData< Degree, Real >::D_DOT_FLAG = 2

static

Definition at line 55 of file function_data.h.

Referenced by setDotTables().

## D_VALUE_FLAG

template<int Degree, class Real>

const int pcl::poisson::FunctionData< Degree, Real >::D_VALUE_FLAG = 2

static

Definition at line 58 of file function_data.h.

Referenced by setValueTables(), and setValueTables().

## dBaseFunction

template<int Degree, class Real>

PPolynomial<Degree-1> pcl::poisson::FunctionData< Degree, Real >::dBaseFunction

Definition at line 68 of file function_data.h.

Referenced by d2DotProduct(), dDotProduct(), and set().

## dDotTable

template<int Degree, class Real>

Real * pcl::poisson::FunctionData< Degree, Real >::dDotTable

Definition at line 61 of file function_data.h.

Referenced by clearDotTables(), FunctionData(), setDotTables(), and ~FunctionData().

## depth

template<int Degree, class Real>

int pcl::poisson::FunctionData< Degree, Real >::depth

Definition at line 60 of file function_data.h.

Referenced by set().

## DOT_FLAG

template<int Degree, class Real>

const int pcl::poisson::FunctionData< Degree, Real >::DOT_FLAG = 1

static

Definition at line 54 of file function_data.h.

Referenced by clearDotTables(), and setDotTables().

## dotTable

template<int Degree, class Real>

Real* pcl::poisson::FunctionData< Degree, Real >::dotTable

Definition at line 61 of file function_data.h.

Referenced by clearDotTables(), FunctionData(), setDotTables(), and ~FunctionData().

## dValueTables

template<int Degree, class Real>

Real * pcl::poisson::FunctionData< Degree, Real >::dValueTables

Definition at line 62 of file function_data.h.

Referenced by clearValueTables(), FunctionData(), setValueTables(), setValueTables(), and ~FunctionData().

## res

template<int Degree, class Real>

int pcl::poisson::FunctionData< Degree, Real >::res

Definition at line 60 of file function_data.h.

Referenced by FunctionData(), set(), setDotTables(), setValueTables(), setValueTables(), and ~FunctionData().

## res2

template<int Degree, class Real>

int pcl::poisson::FunctionData< Degree, Real >::res2

Definition at line 60 of file function_data.h.

Referenced by set(), setValueTables(), and setValueTables().

## VALUE_FLAG

template<int Degree, class Real>

const int pcl::poisson::FunctionData< Degree, Real >::VALUE_FLAG = 1

static

Definition at line 57 of file function_data.h.

Referenced by setValueTables(), and setValueTables().

## valueTables

template<int Degree, class Real>

Real* pcl::poisson::FunctionData< Degree, Real >::valueTables

Definition at line 62 of file function_data.h.

Referenced by clearValueTables(), FunctionData(), setValueTables(), setValueTables(), and ~FunctionData().

The documentation for this class was generated from the following files:

- pcl/surface/3rdparty/poisson4/function_data.h
- pcl/surface/3rdparty/poisson4/function_data.hpp